Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.pk
Interface DefaultKeyStoreMBean

public interface DefaultKeyStoreMBean
extends weblogic.management.commo.StandardInterface, KeyStoreMBean

This MBean represents configuration attributes for the for the WebLogic Keystore provider.

Method Summary
`java.lang.String` | `getDescription()` WebLogic Keystore provider that obtains secured private keys from JavaSoft jks keystores.
`java.lang.String` | `getPrivateKeyStoreLocation()` The location of a private Keystore.
`java.lang.String` | `getProviderClassName()` The name of the Java class that loads the WebLogic Keystore provider.
`java.lang.String` | `getRootCAKeyStoreLocation()` The location of a Root Certificate Authority Keystore.
`java.lang.String` | `getVersion()` The version of the WebLogic Keystore provider.
`void` | `setPrivateKeyStoreLocation(java.lang.String newValue)` The location of a private Keystore.
`void` | `setRootCAKeyStoreLocation(java.lang.String newValue)` The location of a Root Certificate Authority Keystore.

Methods inherited from interface weblogic.management.security.pk.KeyStoreMBean
`getPrivateKeyStorePassPhrase, getRootCAKeyStorePassPhrase, getType, setPrivateKeyStorePassPhrase, setRootCAKeyStorePassPhrase`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  The name of the Java class that loads the WebLogic Keystore provider.

  Default Value: "weblogic.security.providers.pk.DefaultKeyStoreProviderImpl"

### getDescription

    public java.lang.String getDescription()

  WebLogic Keystore provider that obtains secured private keys from JavaSoft jks keystores.

  Default Value: "WebLogic Keystore provider that obtains secured private keys from a keystore."

### getVersion

    public java.lang.String getVersion()

  The version of the WebLogic Keystore provider.

  Default Value: "1.0"

### getPrivateKeyStoreLocation

    public java.lang.String getPrivateKeyStoreLocation()

  The location of a private Keystore. The default Keystore provider requires a directory and filename location that is either a complete filepath, or is relative to the server's root directory.
  Specified by:
    getPrivateKeyStoreLocation in interface KeyStoreMBean

  Default Value: "wlDefaultKeyStore.jks"

### setPrivateKeyStoreLocation

    public void setPrivateKeyStoreLocation(java.lang.String newValue)
                                    throws javax.management.InvalidAttributeValueException

  The location of a private Keystore. The default Keystore provider requires a directory and filename location that is either a complete filepath, or is relative to the server's root directory.
  Specified by:
    setPrivateKeyStoreLocation in interface KeyStoreMBean

  Parameters:
    `newValue` - - new value for attribute PrivateKeyStoreLocation
  Throws:
    javax.management.InvalidAttributeValueException -

### getRootCAKeyStoreLocation

    public java.lang.String getRootCAKeyStoreLocation()

  The location of a Root Certificate Authority Keystore.

  The default Keystore provider requires a directory and filename location that is either a complete filepath, or relative to the server's root directory.

  If you set a null value, WebLogic Server defaults to loading the trusted Certificate Authorities that are in the installed JDK cacerts Keystore, which is `JAVA_HOME/jre/lib/security/cacerts` and the trusted Certificate Authorities defined by the SSL MBean, if specified.

  Specified by:
    getRootCAKeyStoreLocation in interface KeyStoreMBean

### setRootCAKeyStoreLocation

    public void setRootCAKeyStoreLocation(java.lang.String newValue)
                                   throws javax.management.InvalidAttributeValueException

  The location of a Root Certificate Authority Keystore.

  The default Keystore provider requires a directory and filename location that is either a complete filepath, or relative to the server's root directory.

  If you set a null value, WebLogic Server defaults to loading the trusted Certificate Authorities that are in the installed JDK cacerts Keystore, which is `JAVA_HOME/jre/lib/security/cacerts` and the trusted Certificate Authorities defined by the SSL MBean, if specified.

  Specified by:
    setRootCAKeyStoreLocation in interface KeyStoreMBean

  Parameters:
    `newValue` - - new value for attribute RootCAKeyStoreLocation
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference